***

title: Send an unreferenced refund to a customer’s bank account
icon: money-check-edit
published: true
intro: Return funds to a customer's bank account without a paymentId.
---------------------

For clean Markdown of any page, append .md to the page URL. For a complete documentation index, see https://docs.payroc.com/full-stack-guides/take-payments/payments/refunds/unreferenced-refunds/llms.txt. For full documentation content, see https://docs.payroc.com/full-stack-guides/take-payments/payments/refunds/unreferenced-refunds/llms-full.txt.

<Note>
  **Note:** Only certain merchant accounts can send unreferenced refunds.
</Note>

A merchant can refund a payment to a customer's bank account without a paymentId by running an unreferenced refund.

## Integration steps

**Step 1.** Refund the payment.

## Before you begin

### Bearer tokens

Use our Identity Service to generate a Bearer token to include in the header of your requests. To generate your Bearer token, complete the following steps:

1. Include your API key in the x-api-key parameter in the header of a POST request.
2. Send your request to [https://identity.payroc.com/authorize](https://identity.payroc.com/authorize).

<Note>
  **Note:** You need to generate a new Bearer token before the previous Bearer token expires.
</Note>

#### Example request

```bash
curl --location --request POST  'https://identity.payroc.com/authorize' --header 'x-api-key: <api key>'
```

#### Example response

If your request is successful, we return a response that contains your Bearer token, information about its scope, and when it expires.

```json
{
  "access_token": "eyJhbGc....adQssw5c",
  "expires_in": 3600,
  "scope": "service_a service_b",
  "token_type": "Bearer"
}
```

### Headers

To create the header of each POST request, you must include the following parameters:

* **Content-Type:** Include application/json as the value for this parameter.
* **Authorization:** Include your Bearer token in this parameter.
* **Idempotency-Key:** Include a UUID v4 to make the request idempotent.

```bash
curl
-H "Content-Type: application/json"
-H "Authorization: <Bearer token>"
-H "Idempotency-Key: <UUID v4>"
```

### Errors

If your request is unsuccessful, we return an error. For more information about errors, see [Errors](/api/errors).

## Step 1. Refund the payment

To refund a bank transfer payment, send a POST request to the Bank Transfer Refunds endpoint.

| Endpoint   | Prefix     | URL                                                                                                        |
| :--------- | :--------- | :--------------------------------------------------------------------------------------------------------- |
| Test       | `api.uat.` | [https://api.uat.payroc.com/v1/bank-transfer-refunds](https://api.uat.payroc.com/v1/bank-transfer-refunds) |
| Production | `api.`     | [https://api.payroc.com/v1/bank-transfer-refunds](https://api.payroc.com/v1/bank-transfer-refunds)         |

### Request parameters

To create the body of your request, use the following parameters:

<EndpointSchemaSnippet endpoint="POST /bank-transfer-refunds" selector="request.body" />

### Example request

<EndpointRequestSnippet endpoint="POST /bank-transfer-refunds" />

### Response fields

If your request is successful, we send the refund to the customer's bank account and return a response. The response contains the following fields:

<EndpointSchemaSnippet endpoint="POST /bank-transfer-refunds" selector="response.body" />

### Example response

<EndpointResponseSnippet endpoint="POST /bank-transfer-refunds" example="bankTransferUnreferencedRefundResponse" />